Bug 505499 - missing dependency for dbus-x11
missing dependency for dbus-x11
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 01:35 EDT by Sven
Modified: 2009-10-01 09:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven 2009-06-12 01:35:49 EDT
The package xfwm4-4.6.1-1.fc11.i586 is missing a dependency for dbus-x11. xfwm4 want to start /usr/bin/dbus-launch and if that command is not available, xfwm4 stopps with the following, not really productive error:

----- snip ----

$ xfwm4

** (xfwm4:2040): WARNING **: The display does not support the XComposite extension.

** (xfwm4:2040): WARNING **: Compositing manager disabled.

** (xfwm4:2040): CRITICAL **: Xfconf could not be initialized

** (xfwm4:2040): WARNING **: Missing data from default files

----- snap ----
Comment 1 Christoph Wickert 2009-06-12 21:02:02 EDT
As I wanted to test this I stumbled over: 


** (xfce4-session:14683): CRITICAL **: Unable to contact D-Bus session bus: Unknown error

** (xfce4-session:14683): CRITICAL **: Unable to contact D-Bus session bus: Failed to execute dbus-launch to autolaunch D-Bus session

(xfce4-session:14683): xfconf-CRITICAL **: xfconf_init() must be called before attempting to use libxfconf!

** (xfce4-session:14683): CRITICAL **: dbus_g_proxy_connect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed

...

** (xfce4-session:14683): CRITICAL **: dbus_g_proxy_call: assertion `DBUS_IS_G_PROXY (proxy)' failed
Failed to connect to Xfconf daemon: Failed to execute dbus-launch to autolaunch D-Bus session


So it's also xfce4-session. Or maybe even xfconf?
Comment 2 Kevin Fenzi 2009-06-14 03:15:05 EDT
Yeah, I think the xfconf dbus service file needs dbus-launch to exec xfconfd. 

So, I think here we need a Requires on xfconf and that should take care of all 3 of them. 

Does that sound right?
Comment 3 Christoph Wickert 2009-06-14 08:44:30 EDT
OK, I have fixed xfconf in rawhide. How about the others?

$ rpm -qf /usr/share/dbus-1/services/org.xfce.* | sort | uniq
orage-4.6.0-1.fc11.x86_64
Thunar-1.0.1-1.fc11.x86_64
xfce-utils-4.6.1-1.fc11.x86_64
xfconf-4.6.1-1.fc11.x86_64
Comment 4 Christoph Wickert 2009-09-09 22:10:00 EDT
I have checked them: xfconf and Thunar need dbus-x11, orage doesn't. Not sure what to do with xfce-utils. dbus-launch is mentioned in /etc/xdg/xfce4/xinitrc but it's optional. I vote for not adding it.

xfconf is already fixed in rawhide.
Comment 5 Kevin Fenzi 2009-09-10 15:06:00 EDT
Sorry this one dropped off my radar. ;( 

I agree on xfce-utils. 

That leaves Thunar, which I just fixed: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1668780

So, unless we want to fix in F11, I guess we should go ahead and close this now?
Comment 6 Christoph Wickert 2009-09-10 15:32:56 EDT
No, I don't think it's worth fixing this in F-11. It's extremely unlikely that dbus-x11 isn't installed. Closing.
Comment 7 Sven 2009-10-01 08:31:09 EDT
With this attitude, we wouldn't need any packet-management at all.

I've allways felt, that my use of linux is unlikely - but until now I also thought, that this was the charm of it.

Crummy dependency-management in Fedora - just one more argument to look for an alternative. Thank you.
Comment 8 Christoph Wickert 2009-10-01 09:08:56 EDT
(In reply to comment #7)
> With this attitude, we wouldn't need any packet-management at all.

Please keep in mind that as package maintainers we also have to take care of the users of our stable releases. We must not drown them in updates but every update must be justified. There are thousands of Xfce users out there and you are the only one who managed to install Xfce without dbus-x11. Whoever does "yum groupinstall @xfce" will get dbus-x11 for several reasons.

Thanks a lot for your bug report. We have fixed it in rawhide within 2 days, but I still think pushing an update just for your very unlikely case is not worth it for the large majority of our users.

Note You need to log in before you can comment on or make changes to this bug.